Chat

Register chat E2EE identity public key

Stores your long-term public key for end-to-end encrypted chat (key agreement). Private keys never leave the client. Required for other participants to encrypt to you.

AuthBearer (JWT)
GroupChat
Rate limitSee Rate Limits
PUT/api/chat/projects/{projectId}/me/chat-e2ee-key

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, ChatApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const chat = new ChatApi(configuration);
import { Configuration, ChatApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const chat = new ChatApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await chat.putChatE2eeKey(
  "proj_6KSYRuWgC5RP",
  {
    identityPublicKey: "driver program",
    keyVersion: 5
  }
);
const { data: result } = await chat.putChatE2eeKey(
  "proj_6KSYRuWgC5RP",
  {
    identityPublicKey: "driver program",
    keyVersion: 5
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes

Request Body

json
{
  "identityPublicKey": "matrix bypass",
  "keyVersion": 2
}
{
  "identityPublicKey": "matrix bypass",
  "keyVersion": 2
}

Responses

200Key saved
json
{
  "success": true,
  "data": {
    "identityPublicKey": "card compress",
    "keyVersion": 6,
    "updatedAt": "2026-06-04T03:13:08.025Z"
  }
}
{
  "success": true,
  "data": {
    "identityPublicKey": "card compress",
    "keyVersion": 6,
    "updatedAt": "2026-06-04T03:13:08.025Z"
  }
}
400
401

Errors

CodeMeaning
400
401
Edit this page on GitHub